Package ru.bitel.bgbilling.modules.npay.server.event

# Class DebetStatusManageOpenGetAdditionalCharge

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.modules.npay.server.event.DebetStatusManageOpenGetAdditionalCharge

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class DebetStatusManageOpenGetAdditionalCharge extends ru.bitel.bgbilling.kernel.event.common.LocalEvent
Синхронное событие - запрос дополнительного расхода либо замещающей суммы.
Событие генерируется при открытии договора в режиме debet.npay.status.manage=1. Унаследован от `LocalEvent`

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `MODE_ADD`
  режим дополнительного платежа
  `static final int`
  `MODE_REPLACE`
  режим замещения суммы

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `DebetStatusManageOpenGetAdditionalCharge()`
  ``
  `DebetStatusManageOpenGetAdditionalCharge(int moduleId, int contractId)`
  Конструктор события.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<Integer,Map<String,String>>`
  `getConfigList()`
  Мап по cid мапов пар строк
  `BigDecimal`
  `getCurrentAccount()`
  `BigDecimal`
  `getCurrentBalance()`
  `BigDecimal`
  `getLimit()`
  `int`
  `getMode()`
  Возвращает режим `MODE_ADD` либо `MODE_REPLACE`.
  `BigDecimal`
  `getPlanAccount()`
  `BigDecimal`
  `getResult()`
  `BigDecimal`
  `getSumma()`
  Возвращает сумму, если появилась в событии после обработки - учитываются биллингом.
  `void`
  `setConfigList(Map<Integer,Map<String,String>> configList)`
  `void`
  `setCurrentAccount(BigDecimal currentAccount)`
  `void`
  `setCurrentBalance(BigDecimal currentBalance)`
  `void`
  `setLimit(BigDecimal limit)`
  `void`
  `setMode(int mode)`
  Установка режима, 1 либо 2.
  `void`
  `setPlanAccount(BigDecimal planAccount)`
  `void`
  `setResult(BigDecimal result)`
  `void`
  `setSumma(BigDecimal charge)`
  Устанавливает сумму дополнительного расхода или замещающего расхода, вызывается скриптом.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MODE_ADD

    public static final int MODE_ADD
    режим дополнительного платежа
    See Also:
      - Constant Field Values

  - ### MODE_REPLACE

    public static final int MODE_REPLACE
    режим замещения суммы
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DebetStatusManageOpenGetAdditionalCharge

    protected DebetStatusManageOpenGetAdditionalCharge()

  - ### DebetStatusManageOpenGetAdditionalCharge

    public DebetStatusManageOpenGetAdditionalCharge(int moduleId, int contractId)
    Конструктор события.
    Parameters:
      `moduleId` - - код модуля
      `contractId` - - код договора

- ## Method Details

  - ### getMode

    public int getMode()
    Возвращает режим `MODE_ADD` либо `MODE_REPLACE`.
    Returns:

  - ### setMode

    public void setMode(int mode)
    Установка режима, 1 либо 2.
    Parameters:
      `mode` - - режим

  - ### getSumma

    public BigDecimal getSumma()
    Возвращает сумму, если появилась в событии после обработки - учитываются биллингом.
    Returns:

  - ### setSumma

    public void setSumma(BigDecimal charge)
    Устанавливает сумму дополнительного расхода или замещающего расхода, вызывается скриптом.
    Parameters:
      `charge` - - доп. расход

  - ### getCurrentBalance

    public BigDecimal getCurrentBalance()
    Returns:
      текущий баланс

  - ### setCurrentBalance

    public void setCurrentBalance(BigDecimal currentBalance)
    Parameters:
      `currentBalance` - текущий баланс

  - ### getLimit

    public BigDecimal getLimit()
    Returns:
      лимит

  - ### setLimit

    public void setLimit(BigDecimal limit)
    Parameters:
      `limit` - лимит

  - ### getCurrentAccount

    public BigDecimal getCurrentAccount()
    Returns:
      текущая наработка

  - ### setCurrentAccount

    public void setCurrentAccount(BigDecimal currentAccount)
    Parameters:
      `currentAccount` - текущая наработка

  - ### getPlanAccount

    public BigDecimal getPlanAccount()
    Returns:
      планируемая наработка

  - ### setPlanAccount

    public void setPlanAccount(BigDecimal planAccount)
    Parameters:
      `planAccount` - планируемая наработка

  - ### getConfigList

    public Map<Integer,Map<String,String>> getConfigList()
    Мап по cid мапов пар строк
    Returns:

  - ### setConfigList

    public void setConfigList(Map<Integer,Map<String,String>> configList)
    Parameters:
      `configList` - Мап по cid мапов пар строк

  - ### getResult

    public BigDecimal getResult()
    Returns:
      текущая сумма для разблокировки

  - ### setResult

    public void setResult(BigDecimal result)
    Parameters:
      `result` - текущая сумма для разблокировки